Bug 171638 - Review Request: perl-IPC-Shareable - Share Perl variables between processes
Review Request: perl-IPC-Shareable - Share Perl variables between processes
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
David Lawrence
http://search.cpan.org/dist/IPC-Share...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-10-24 12:45 EDT by Jose Pedro Oliveira
Modified: 2008-12-17 19:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-13 16:03:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2005-10-24 12:45:54 EDT
Spec Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-IPC-Shareable.spec

SRPM Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Log-Dispatch-FileRotate-1.13-1.src.rpm

Description:
IPC::Shareable allows you to tie a variable to shared memory making it
easy to share the contents of that variable with other Perl processes.
Scalars, arrays, and hashes can be tied.  The variable being tied may
contain arbitrarily complex data structures - including references to
arrays, hashes of hashes, etc.

Note:
This is a Log::Log4perl requirement.
Comment 1 Paul Howarth 2005-12-07 12:19:04 EST
Looks like a cut-and-paste error for that SRPM URL.
Comment 2 Jose Pedro Oliveira 2005-12-07 12:33:34 EST
Sorry.

The correct URL is:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-IPC-Shareable-0.60-1.src.rpm
Comment 3 Paul Howarth 2005-12-08 05:25:46 EST
Review:

- rpmlint clean
- package and spec naming OK
- package meets guidelines
- license is GPL, matches spec, text included
- spec file written in English and is legible
- sources match upstream
- builds OK on FC4 (i386) and in mock for rawhide (i386)
- no explicit BR's
- no locales, libraries, subpackages or pkgconfigs to worry about
- not relocatable
- no directory ownership or permissions problems
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime
- no desktop file needed
- no scriptlets

Approved.
Comment 4 Jose Pedro Oliveira 2005-12-13 16:03:02 EST
Branches: FC-4 and devel.
Comment 5 Steven Pritchard 2008-12-16 15:21:29 EST
Package Change Request
======================
Package Name: perl-IPC-Shareable
New Branches: EL-4 EL-5
Owners: steve
Comment 6 Kevin Fenzi 2008-12-17 19:33:38 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.